set nocompatible
set showmatch
set ignorecase
set number
set tabstop=4
set expandtab
set shiftwidth=4
colorscheme habamax
set colorcolumn=120

call plug#begin()

Plug 'nvim-treesitter/nvim-treesitter', {'do': ':TSUpdate'}
Plug 'preservim/nerdtree'
Plug 'junegunn/fzf', { 'do': { -> fzf#install() } }

call plug#end()

"NERDTree
nnoremap <C-t> :NERDTreeToggle<CR>
nnoremap <C-p> :FZF<CR>

"fzf
let g:fzf_action = { 'enter': 'tab split' }

" tabs
nnoremap th  :tabfirst<CR>
nnoremap tk  :tabnext<CR>
nnoremap tj  :tabprev<CR>
nnoremap tl  :tablast<CR>
nnoremap tt  :tabedit<Space>
nnoremap tn  :tabnext<Space>
nnoremap tm  :tabm<Space>
nnoremap td  :tabclose<CR>
